package sgc.portal.ei.ei0201.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0201.dto.EI02010001USearch;
import sgc.portal.ei.ei0201.model.EI02010001U;

@Mapper
public interface EI02010001UMapper {
	//자금 리스트 조회
	List<EasyHashMap<String, Object>> getList1(EI02010001USearch search);
	
	//이월금액 조회
	List<EasyHashMap<String, Object>> getList2(EI02010001USearch search);
	
	//자금 행 삽입
	int insert(EI02010001U eI02010001U);
	
	//이뤈금액 행 삽입
	int insertOrUpdate(EI02010001U eI02010001U);
	
	//자금 행 수정
	int update(EI02010001U eI02010001U);
	
	//자금 행 삭제
	int delete1(EI02010001U eI02010001U);
	
	//자금 삭제 (기준년,기준월)
	int delete2(EI02010001U eI02010001U);
	

}
